import './SliderBase.styles_gq52ql.css';
import { styled } from '@linaria/react';
import { tokens } from '../../Slider.tokens.js';

/**
 * Подпись слайдера
 */
var Label = /*#__PURE__*/styled('label')({
  name: "Label",
  "class": "l1darkvs",
  propsAsIs: false
});

/**
 * Обёртка вокруг иконки и подписи
 */
var LabelWrapper = /*#__PURE__*/styled('div')({
  name: "LabelWrapper",
  "class": "l1tgvt9r",
  propsAsIs: false
});

/**
 * Базовый контейнер слайдера
 */
var _exp0 = function _exp0() {
  return function (_ref) {
    var pointerSize = _ref.pointerSize;
    return pointerSize === 'large' ? "var(".concat(tokens.thumbSizeLarge, ")") : "var(".concat(tokens.thumbSize, ")");
  };
};
var BaseSliderContainer = /*#__PURE__*/styled('div')({
  name: "BaseSliderContainer",
  "class": "b1lmpr9z",
  propsAsIs: false,
  vars: {
    "b1lmpr9z-0": [/*#__PURE__*/_exp0()]
  }
});

/**
 * Рельс (неактивная часть дорожки)
 */
var BaseStyledTrack = /*#__PURE__*/styled('div')({
  name: "BaseStyledTrack",
  "class": "b14jeo0l",
  propsAsIs: false
});

/**
 * Нативный range-input
 */
var _exp34 = function _exp34() {
  return function (_ref2) {
    var showPointer = _ref2.showPointer;
    return showPointer === false ? '0' : '1';
  };
};
var BaseStyledRange = /*#__PURE__*/styled('input')({
  name: "BaseStyledRange",
  "class": "b1hxvf8p",
  propsAsIs: false,
  vars: {
    "b1hxvf8p-0": [/*#__PURE__*/_exp34()]
  }
});

export { BaseSliderContainer, BaseStyledRange, BaseStyledTrack, Label, LabelWrapper };
